package cn.superdesk.uniorder.service.order._leaveover.impl;

import cn.superdesk.uniorder.dao.entity.sys.SysBackAccount;
import cn.superdesk.uniorder.dao.mapper.sys.SysBackAccountMapper;
import cn.superdesk.uniorder.service.order._leaveover.SysBackAccountService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service
public class SysBackAccountServiceImpl implements SysBackAccountService {


    @Autowired
    SysBackAccountMapper sysBackAccountMapper;


    @Override
    public int insertSelective(SysBackAccount t) {

        return sysBackAccountMapper.insertSelective(t);
    }

    @Override
    public int updateByPrimaryKeySelective(SysBackAccount t) {

        return sysBackAccountMapper.updateByPrimaryKeySelective(t);
    }

    @Override
    public void deleteObj(Long id) {

        sysBackAccountMapper.deleteByPrimaryKey(id);
    }

    @Override
    public SysBackAccount findById(Long id) {

        return sysBackAccountMapper.selectByPrimaryKey(id);
    }


    @Override
    public List<SysBackAccount> findAll(Map<String, Object> queryMap) {

        return sysBackAccountMapper.findAll(queryMap);
    }

    @Override
    public PageInfo<SysBackAccount> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {

        return null;
    }

}
